Subject: Re: [mobile-ip] Issue #23 and Issue #30

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 29 May 2002 08:40:35 -0700

Hello Hesham,

I CC:'d the IPv6 mailing list...

"Hesham Soliman (ERA)" wrote:

> => I think the HA must defend all addresses, including
> the link-local one. This is related to RFC3041 and
> Francis' discussion on the IPv6 list. A node implementing
> RFC 3041 might form a global address that belongs to one of
> the other MN's Home addresses. Hence, if the HA does not
> defend all addresses, a MN might 'lose' one of its
> home addresses to another node on the home link.

I'd rather prohibit such behavior.  I don't see the
need for it.  I am surprised that RFC 3041 would
allow such behavior.  Can you point out the offending
part of the specification?  What was the justification
for enabling this?  Aren't there "enough" random numbers
in 2^64 to avoid clobbering addresses used by other
nodes?  sheesh...

Regards,
Charlie P.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------